# Changelog for log4hs

## V0.9.0
- Fix log `UserInterrupt` issue
- Improve config datatypes
- Improve document and deprecate `Logging` module
- Replace lens with macrolens and remove `data-default`

## V0.8.0
- Add `IsMessage` class
- Deprecate `catchUncaughtException`
- Add support for contextual logging

## V0.7.1
- Fix error handling issue

## V0.7.0
- Fix `RotatingFileHandler` rollover bug
- Flatten `Logging.Types`
- Make timezone of logging environment configurable
- Add `TimeRotatingFileHandler`

## V0.6.0
- Add local logging (run in monad)
- Redesign global logging
- Remove `stderrHandler` `stdoutHandler` `defaultRoot`

## V0.5.0
- Mark `stderrHandler` `stdoutHandler` `defaultRoot` as deprecated
- Remove `Logging.Aeson` module
- Fix `RotatingFileHandler` bug
- Refine tests
- Fix `callHandler` redundant check

## V0.4.0
- Add `Config` module to decode `Manager` from json and yaml
- Mark `Logging.Aeson` as deprecated
- Remove `Logging.Deprecated` module

## V0.3.1
- Fix `defaultRoot` format bug

## V0.3.0
- Add `RotatingFileHandler` (without unit tests)
